<!DOCTYPE html>
<!--
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/html.html to edit this template


-->
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" ng-app="parking">
    <head>
        <title>Parking MinTIC</title>
        <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
                <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
                    </head>
                    <body class="bg-light">
                        <header>
                            <nav id="navbar-example2" class="navbar navbar-light bg-black px-3">
                                <a class="navbar-brand" href="#">Parking</a>
                                <ul class="nav nav-pills">
                                    <li class="nav-item">
                                        <a class="nav-link" href="#scrollspyHeading1">First</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" href="#scrollspyHeading2">Second</a>
                                    </li>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-expanded="false">Dropdown</a>
                                        <ul class="dropdown-menu">
                                            <li><a class="dropdown-item" href="#scrollspyHeading3">Third</a></li>
                                            <li><a class="dropdown-item" href="#scrollspyHeading4">Fourth</a></li>
                                            <li><hr class="dropdown-divider"></li>
                                            <li><a class="dropdown-item" href="#scrollspyHeading5">Fifth</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </nav>
                        </header>
                        <main>
                            <article ng-controller="filasParking"> <!<!-- Angular js -->
                                <section class="m-2 p-3 mx-auto container-md border bg-white">
                                    <div class="mb-3">
                                        <label for="exampleFormControlInput1" class="form-label">Placa del vehiculo</label>
                                        <input type="text" class="form-control" id="exampleFormControlInput1"  value="" ng-model="placa"/>
                                        <br/>
                                        <button type="button" class="btn btn-success" ng-click="consultar()">Consultar vehiculo</button>
                                    </div>
                                </section>
                                <section class="m-2 p-3 mx-auto container-md border bg-white">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th scope="col">ID</th>
                                                <th scope="col">Placa</th>
                                                <th scope="col">Plaza</th>
                                                <th scope="col">Dueño</th> 
                                                <th scope="col">ID dueño</th>
                                                <th scope="col">Tipo de Vehiculo</th>
                                                <th scope="col">Fecha Inicial</th>
                                                <th scope="col">Fecha final</th>

                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr ng-repeat="fila in filas">
                                                <td>{{fila.id_suscripciones}}</td>
                                                <td>{{fila.placa}}</td>
                                                <td>{{fila.plaza}}</td>
                                                <td>{{fila.dueno}}</td>
                                                <td>{{fila.id_dueno}}</td>
                                                <td>{{fila.tipo}}</td>
                                                <td>{{fila.fecha_inicio}}</td>
                                                <td>{{fila.fecha_final}}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </section>
                            </article>
                        </main>
                        <footer>
                        </footer>
                        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
                        <script src="js/angular-bootstrap.js" type="text/javascript"></script>
                        <script src="js/parking.js"></script>

                    </body>
                    </html>
